/* esempio_07_PWM
 * Regola la luminosita' del LED esterno
 */

#define LEDPIN  3
#define DELAY 7

void setup () {
  int i;

  pinMode(LEDPIN, OUTPUT);  // Imposta il piedino del LED uscita
  digitalWrite(LEDPIN, LOW);   // Spegne il LED
}

void loop() {
  int i;
  for (i = 0; i < 255; i++) {
    analogWrite (LEDPIN,i);
    delay(DELAY);
  }
  while (i--) {
    analogWrite (LEDPIN,i);
    delay(DELAY);
  }
}

